Bug 99085 - Make pattern searching slightly quicker
Summary: Make pattern searching slightly quicker
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mutt (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-14 11:39 UTC by Tim Waugh
Modified: 2014-03-17 02:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 22:23:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mutt-fast.patch (539 bytes, patch)
2003-07-14 11:40 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2003-07-14 11:39:29 UTC
Description of problem:
Here is a patch to make message searches slightly quicker by eliminating a
redundant strlen for each line in a message being checked against a pattern.

It makes mutt use getline, a GNU libc extension function, rather than fgets+strlen.

Comment 1 Tim Waugh 2003-07-14 11:40:07 UTC
Created attachment 92910 [details]
mutt-fast.patch

Comment 2 Bill Nottingham 2005-01-26 22:23:29 UTC
Sent upstream.


Note You need to log in before you can comment on or make changes to this bug.